package com.philisense.www.enums;

/**
 * @description: 切片类型
 **/
public enum SliceTypeEnum {

    /**
     * 极速上传成功
     */
    UPLOADSPEED(0, "极速上传成功"),

    /**
     * 切片上传完毕，没有合并
     */
    NOMERGE(1, "切片上传完毕，没有合并"),

    /**
     * 检查成功，需要断点续传
     */
    BREAKPOINTRESUME(2, "检查成功，需要断点续传"),
    /**
     * 检查成功，为从未上传
     */
    NEVERUPLOAD(3, "检查成功，为从未上传");

    private final int value;
    private final String text;

    SliceTypeEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public String getText() {
        return text;
    }
}
